Package com.sun.messaging.jms.management.server

## Class DestinationState

- java.lang.Object
- - com.sun.messaging.jms.management.server.DestinationState

-     public class DestinationState
      extends java.lang.Object

  Class containing information on destination states.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CONSUMERS_PAUSED` | Message delivery to consumers is paused.
    `static int` | `PAUSED` | Message delivery from producers and to consumers is paused.
    `static int` | `PRODUCERS_PAUSED` | Message delivery from producers is paused.
    `static int` | `RUNNING` | Destination is active.
    `static int` | `UNKNOWN` | Unknown destination state.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `toString​(int state)` | Returns a string representation of the specified destination state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final int UNKNOWN

      Unknown destination state.
      See Also:
        Constant Field Values

    - #### RUNNING

          public static final int RUNNING

      Destination is active.
      See Also:
        Constant Field Values

    - #### CONSUMERS_PAUSED

          public static final int CONSUMERS_PAUSED

      Message delivery to consumers is paused.
      See Also:
        Constant Field Values

    - #### PRODUCERS_PAUSED

          public static final int PRODUCERS_PAUSED

      Message delivery from producers is paused.
      See Also:
        Constant Field Values

    - #### PAUSED

          public static final int PAUSED

      Message delivery from producers and to consumers is paused.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toString

          public static java.lang.String toString​(int state)

      Returns a string representation of the specified destination state.
      Parameters:
        `state` - Destination state.
      Returns:
        String representation of the specified destination state.